Subject: Re: [pim] Cisco Assert behavior

From: "Katta Sambasivarao" <[email-masked]>
Date: 8 Mar 2002 04:03:03 -0000

Hi,
I too experienced some unexpected behaviour by CISCO routers.

The IOS 12.0 (14) ST - Does not refresh upstream (S,G) states even 
when there are downstream (S,G) states.

The Version 12.2(3), when receives (S,G,Rpt) join to cancel a 
(S,G,Rpt) prune, the behaviour is odd like it sends (S,G) join 3 
times in 3 seconds....and so on...

It will be of great help if someone can tell us which IOS version 
is stable and predictable.

thanks,
Katta

On Fri, 08 Mar 2002 Matt Almgren wrote :
>
>After running several tests with Cisco and other routers, and by 
>following
>the draft v3, I have noticed a few things that Cisco is not doing 
>correctly.
>I am curious if this is the correct behavior, or if Cisco is just 
>not
>following the draft, or if a newer release of IOS will correct 
>these issues:
>
>1. Cisco does not send an assert cancel message when he receives 
>a Prune
>(S,G) or (*,G) for the group to which he is Assert Winner for.
>
>2. When Cisco is assert winner, he does not sent an Assert 
>message every 177
>seconds.
>
>According to the draft, the first one I believe must be done.  
>However, the
>second one is optional...the word "should" is used to explain the 
>expire
>timer.
>
>I am currently testing this with:
>IOS (tm) C2600 Software (C2600-IS-M), Version 12.1(6), RELEASE 
>SOFTWARE
>(fc1)
>
>Any feedback on Cisco behavior would be appreciated.
>
>Thanks - Matt
>
>
>                   \\\|///
>                  \\ - - //
>                   ( @ @ )
>   /------------oOOo-(_)-oOOo------------\
>   |            Matt Almgren             |
>   |            PLURIS, INC.             |
>   |            [email-masked]      |
>   |            (408) 861-4216           |
>   \------------------------Oooo---------/
>            oooO            (   )
>           (   )             ) /
>            \ (             (_/
>             \_)
>
>_______________________________________________
>pim mailing list
>[email-masked]
>http://catarina.usc.edu/mailman/listinfo/pim

_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim